Debian Bug report logs - #534033
traverso: FTBFS: CMake errors

version graph

Package: traverso; Maintainer for traverso is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for traverso is src:traverso.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Jun 2009 15:26:34 UTC

Severity: normal

Tags: patch

Found in version traverso/0.49.0~rc1-1

Fixed in version traverso/0.49.0~rc1-2

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#534033; Package traverso. (Sun, 21 Jun 2009 15:26:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sun, 21 Jun 2009 15:26:37 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: traverso: FTBFS: CMake errors
Date: Sun, 21 Jun 2009 16:58:51 +0200
Package: traverso
Version: 0.49.0~rc1-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules clean
> dh_testdir
> dh_testroot
> rm -f build-stamp
> [ ! -f Makefile ] || /usr/bin/make clean
> find . -name "Makefile" -exec rm {} \;
> find . -name "*.a" -exec rm {} \;
> rm -rf CMakeFiles buildfiles src/CMakeFiles
> rm -f CMakeCache.txt install_manifest.txt cmake_uninstall.cmake
> rm -f cmake_install.cmake CPackSourceConfig.cmake CPackConfig.cmake
> rm -f src/cmake_install.cmake
> dh_clean
>  dpkg-source -b traverso-0.49.0~rc1
> dpkg-source: info: using source format `1.0'
> dpkg-source: info: building traverso using existing traverso_0.49.0~rc1.orig.tar.gz
> dpkg-source: info: building traverso in traverso_0.49.0~rc1-1.diff.gz
> dpkg-source: warning: ignoring deletion of file cmake_uninstall.cmake
> dpkg-source: info: building traverso in traverso_0.49.0~rc1-1.dsc
>  debian/rules build
> dh_testdir
> cmake -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=/usr \
> 	-DCMAKE_C_FLAGS="-g -O2" -DCMAKE_CXX_FLAGS="-g -O2" \
> 	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
> 	-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
> 	-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"
> -- The C compiler identification is GNU
> -- The CXX compiler identification is GNU
> -- Check for working C compiler: /usr/bin/gcc
> -- Check for working C compiler: /usr/bin/gcc -- works
> -- Detecting C compiler ABI info
> -- Detecting C compiler ABI info - done
> -- Check for working CXX compiler: /usr/bin/c++
> -- Check for working CXX compiler: /usr/bin/c++ -- works
> -- Detecting CXX compiler ABI info
> -- Detecting CXX compiler ABI info - done
> -- Traverso 0.49.0rc1 will be built to install into /usr
> -- Check if the system is big endian
> -- Searching 16 bit integer
> -- Looking for sys/types.h
> -- Looking for sys/types.h - found
> -- Looking for stdint.h
> -- Looking for stdint.h - found
> -- Looking for stddef.h
> -- Looking for stddef.h - found
> -- Check size of unsigned short
> -- Check size of unsigned short - done
> -- Using unsigned short
> -- Check if the system is big endian - little endian
> -- Program pkg-config found (/usr/bin/pkg-config)
> -- Looking for Q_WS_X11
> -- Looking for Q_WS_X11 - found
> -- Looking for Q_WS_WIN
> -- Looking for Q_WS_WIN - not found.
> -- Looking for Q_WS_QWS
> -- Looking for Q_WS_QWS - not found.
> -- Looking for Q_WS_MAC
> -- Looking for Q_WS_MAC - not found.
> -- Found Qt-Version 4.5.1
> -- checking for module 'redland>=1.0.2'
> --   found redland, version 1.0.9
> Variable 'top_build_prefix' not defined in '/usr/lib/pkgconfig/redland.pc'
> Variable 'top_build_prefix' not defined in '/usr/lib/pkgconfig/redland.pc'
> Variable 'top_build_prefix' not defined in '/usr/lib/pkgconfig/redland.pc'
> Variable 'top_build_prefix' not defined in '/usr/lib/pkgconfig/redland.pc'
> Variable 'top_build_prefix' not defined in '/usr/lib/pkgconfig/redland.pc'
> Variable 'top_build_prefix' not defined in '/usr/lib/pkgconfig/redland.pc'
> Variable 'top_build_prefix' not defined in '/usr/lib/pkgconfig/redland.pc'
> -- REDLAND Library Found OK
> -- Looking for wavpack/wavpack.h
> -- Looking for wavpack/wavpack.h - found
> -- checking for module 'wavpack>=4.40.0'
> --   found wavpack, version 4.50.1
> -- WavPack Library Found OK
> -- Looking for vorbis/vorbisfile.h
> -- Looking for vorbis/vorbisfile.h - found
> -- checking for module 'vorbis>=1.1.2'
> --   found vorbis, version 1.2.0
> -- Ogg Vorbis Library Found OK
> -- Looking for FLAC/export.h
> -- Looking for FLAC/export.h - found
> -- FLAC Library Found OK
> -- Looking for mad.h
> -- Looking for mad.h - found
> -- Looking for fftw3.h
> -- Looking for fftw3.h - found
> -- checking for module 'fftw3>=3.0.0'
> --   found fftw3, version 3.2.1
> -- FFTW3 Library Found OK
> -- Looking for sys/vfs.h
> -- Looking for sys/vfs.h - found
> -- Looking for sys/stat.h
> -- Looking for sys/stat.h - found
> -- Looking for posix_memalign
> -- Looking for posix_memalign - found
> -- Looking for mlock
> -- Looking for mlock - found
> -- Looking for alsa/asoundlib.h
> -- Looking for alsa/asoundlib.h - found
> -- checking for module 'alsa>=1.0.0'
> --   found alsa, version 1.0.20
> -- ALSA Library Found OK
> -- Looking for jack/jack.h
> -- Looking for jack/jack.h - found
> -- checking for module 'jack>=0.100'
> --   found jack, version 0.116.1
> -- Jack Library Found OK
> CMake Error at src/CMakeLists.txt:2 (ADD_SUBDIRECTORY):
>   The binary directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/buildfiles
> 
>   is already used to build another source directory, so it cannot be used to
>   build source directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/src/audiofileio
> 
>   Specify a unique binary directory name.
> 
> 
> CMake Error at src/CMakeLists.txt:3 (ADD_SUBDIRECTORY):
>   The binary directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/buildfiles
> 
>   is already used to build another source directory, so it cannot be used to
>   build source directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/src/commands
> 
>   Specify a unique binary directory name.
> 
> 
> CMake Error at src/CMakeLists.txt:4 (ADD_SUBDIRECTORY):
>   The binary directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/buildfiles
> 
>   is already used to build another source directory, so it cannot be used to
>   build source directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/src/core
> 
>   Specify a unique binary directory name.
> 
> 
> CMake Error at src/CMakeLists.txt:5 (ADD_SUBDIRECTORY):
>   The binary directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/buildfiles
> 
>   is already used to build another source directory, so it cannot be used to
>   build source directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/src/3rdparty
> 
>   Specify a unique binary directory name.
> 
> 
> CMake Error at src/CMakeLists.txt:6 (ADD_SUBDIRECTORY):
>   The binary directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/buildfiles
> 
>   is already used to build another source directory, so it cannot be used to
>   build source directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/src/plugins
> 
>   Specify a unique binary directory name.
> 
> 
> CMake Error at src/CMakeLists.txt:7 (ADD_SUBDIRECTORY):
>   The binary directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/buildfiles
> 
>   is already used to build another source directory, so it cannot be used to
>   build source directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/src/sheetcanvas
> 
>   Specify a unique binary directory name.
> 
> 
> CMake Error at src/CMakeLists.txt:8 (ADD_SUBDIRECTORY):
>   The binary directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/buildfiles
> 
>   is already used to build another source directory, so it cannot be used to
>   build source directory
> 
>     /build/user-traverso_0.49.0~rc1-1-amd64-mjh3S2/traverso-0.49.0~rc1/src/traverso
> 
>   Specify a unique binary directory name.
> 
> 
> 
> Build options:
> Building in mode	:	RELEASE
> ALSA support		:	TRUE
> Jack support		:	TRUE
> PortAudio support	:	FALSE
> CoreAudio support	:	FALSE
> SLV2 support		:	TRUE (Using internal library)
> MP3 read support	:	TRUE
> MP3 writing support	:	FALSE
> 
> -- Configuring incomplete, errors occurred!
> make: *** [build-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/06/20/traverso_0.49.0~rc1-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#534033; Package traverso. (Wed, 21 Oct 2009 05:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Moerner <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Wed, 21 Oct 2009 05:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 534033@bugs.debian.org (full text, mbox):

From: Daniel Moerner <dmoerner@gmail.com>
To: 534033@bugs.debian.org
Subject: Re: Bug #534033: traverso: FTBFS: CMake errors
Date: Tue, 20 Oct 2009 22:28:30 -0700
[Message part 1 (text/plain, inline)]
Hi,

CMake 2.6.4 now strictly enforces that build directories must be unique.
The fix for this is relatively trivial.

I have attached a proposed NMU for this package.

Regards,
Daniel Moerner
[traverso-cmake_2.6.4-ftbfs-fix-nmu.patch (text/x-diff, inline)]
diff -u traverso-0.49.0~rc1/debian/changelog traverso-0.49.0~rc1/debian/changelog
--- traverso-0.49.0~rc1/debian/changelog
+++ traverso-0.49.0~rc1/debian/changelog
@@ -1,3 +1,15 @@
+traverso (0.49.0~rc1-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix "FTBFS: CMake errors": CMake 2.6.4 now strictly enforces the fact
+    that build directories might be unique. Modifications to
+    src/CMakeLists.txt, src/commands/CMakeLists.txt,
+    src/commands/plugins/CMakeLists.txt to remove references to
+    ${TRAVERSO_BUILD_DIR} come from a patch by Ingmar Vanhassel
+    <ingmar@exherbo.org> for Gentoo. (Closes: #534033)
+
+ -- Daniel Moerner <dmoerner@gmail.com>  Tue, 20 Oct 2009 21:57:06 -0700
+
 traverso (0.49.0~rc1-1) unstable; urgency=low
 
   * New upstream version.
only in patch2:
unchanged:
--- traverso-0.49.0~rc1.orig/src/CMakeLists.txt
+++ traverso-0.49.0~rc1/src/CMakeLists.txt
@@ -1,11 +1,11 @@
-ADD_SUBDIRECTORY(engine ${TRAVERSO_BUILD_DIR})
-ADD_SUBDIRECTORY(audiofileio ${TRAVERSO_BUILD_DIR})
-ADD_SUBDIRECTORY(commands ${TRAVERSO_BUILD_DIR})
-ADD_SUBDIRECTORY(core ${TRAVERSO_BUILD_DIR})
-ADD_SUBDIRECTORY(3rdparty ${TRAVERSO_BUILD_DIR})
-ADD_SUBDIRECTORY(plugins ${TRAVERSO_BUILD_DIR})
-ADD_SUBDIRECTORY(sheetcanvas ${TRAVERSO_BUILD_DIR})
-ADD_SUBDIRECTORY(traverso ${TRAVERSO_BUILD_DIR})
+ADD_SUBDIRECTORY(engine)
+ADD_SUBDIRECTORY(audiofileio)
+ADD_SUBDIRECTORY(commands)
+ADD_SUBDIRECTORY(core)
+ADD_SUBDIRECTORY(3rdparty)
+ADD_SUBDIRECTORY(plugins)
+ADD_SUBDIRECTORY(sheetcanvas)
+ADD_SUBDIRECTORY(traverso)
 
 IF(USE_PCH)
     ADD_PRECOMPILED_HEADER(precompiled_headers precompile.h)
only in patch2:
unchanged:
--- traverso-0.49.0~rc1.orig/src/commands/CMakeLists.txt
+++ traverso-0.49.0~rc1/src/commands/CMakeLists.txt
@@ -1,4 +1,4 @@
-ADD_SUBDIRECTORY(plugins ${TRAVERSO_BUILD_DIR})
+ADD_SUBDIRECTORY(plugins)
 
 INCLUDE_DIRECTORIES(
 ${CMAKE_SOURCE_DIR}/src/commands
only in patch2:
unchanged:
--- traverso-0.49.0~rc1.orig/src/commands/plugins/CMakeLists.txt
+++ traverso-0.49.0~rc1/src/commands/plugins/CMakeLists.txt
@@ -1 +1 @@
-ADD_SUBDIRECTORY(TraversoCommands ${TRAVERSO_BUILD_DIR})
+ADD_SUBDIRECTORY(TraversoCommands)
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Daniel Moerner <dmoerner@gmail.com> to control@bugs.debian.org. (Wed, 21 Oct 2009 21:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#534033; Package traverso. (Sat, 28 Nov 2009 23:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sat, 28 Nov 2009 23:18:06 GMT) Full text and rfc822 format available.

Message #17 received at 534033@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 534033@bugs.debian.org
Subject: Re: Bug #534033: traverso: FTBFS: CMake errors
Date: Sun, 29 Nov 2009 00:11:42 +0100
severity 534033 normal
thanks

Hi,

I just tried a rebuild, and those errors seem to have been downgraded to warnings with latest cmake:
present:

CMake Warning (dev) at src/CMakeLists.txt:2 (ADD_SUBDIRECTORY):
  Policy CMP0013 is not set: Duplicate binary directories are not
allowed.
  Run "cmake --help-policy CMP0013" for policy details.  Use the
cmake_policy
  command to set the policy and suppress this warning.

the build does not abort and goes fine.

If I apply the patch, the above warnings go away.


Michael




Severity set to 'normal' from 'serious' Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Sat, 28 Nov 2009 23:18:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Sat, 05 Jun 2010 18:09:12 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Sat, 05 Jun 2010 18:36:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 05 Jun 2010 18:36:06 GMT) Full text and rfc822 format available.

Message #26 received at 534033-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 534033-close@bugs.debian.org
Subject: Bug#534033: fixed in traverso 0.49.0~rc1-2
Date: Sat, 05 Jun 2010 18:32:31 +0000
Source: traverso
Source-Version: 0.49.0~rc1-2

We believe that the bug you reported is fixed in the latest version of
traverso, which is due to be installed in the Debian FTP archive:

traverso_0.49.0~rc1-2.debian.tar.gz
  to main/t/traverso/traverso_0.49.0~rc1-2.debian.tar.gz
traverso_0.49.0~rc1-2.dsc
  to main/t/traverso/traverso_0.49.0~rc1-2.dsc
traverso_0.49.0~rc1-2_amd64.deb
  to main/t/traverso/traverso_0.49.0~rc1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534033@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated traverso package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Jun 2010 20:04:21 +0200
Source: traverso
Binary: traverso
Architecture: source amd64
Version: 0.49.0~rc1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 traverso   - Multitrack audio recorder and editor
Closes: 534033
Changes: 
 traverso (0.49.0~rc1-2) unstable; urgency=low
 .
   * Move maintainance under the umbrella of pkg-multimedia team.
   * debian/control:
     - Add Vcs-* fields.
     - Wrap long lines.
     - Bump Standards.
   * Add watch file.
   * Switch to 3.0 (quilt) format.
   * Switch to debhelper 7:
     - debian/{control,rules}:
       + Use cmake helper.
   * Changes of the latest NMU is a quilt patch now.
   * Add patch to suppress CMake warnings (Closes: #534033).
   * Update debian/copyright.
Checksums-Sha1: 
 656825ce10c149f52f270aeb29d0a502d7f227ac 1516 traverso_0.49.0~rc1-2.dsc
 7ff2ccda45623301c9dfd8b29a27f2d7fc49f4d7 4684 traverso_0.49.0~rc1-2.debian.tar.gz
 3ec0eae43bbe411cf27547bcd25e7ce6bddd57f1 1385654 traverso_0.49.0~rc1-2_amd64.deb
Checksums-Sha256: 
 de924fa216d9613cd13398a4dffc459d650ec53c7270ab797cf74243f168ea80 1516 traverso_0.49.0~rc1-2.dsc
 51df4efd3fed4c0dd4ebce8c16b12f9592f23c3892d86e17cfdd586956ecc46c 4684 traverso_0.49.0~rc1-2.debian.tar.gz
 3667580c08cad5add8700173dddb1bdcb84903e078f08dc331b9706438c86b23 1385654 traverso_0.49.0~rc1-2_amd64.deb
Files: 
 51d6998c54e172e7d41ed2ccfccdadfb 1516 sound optional traverso_0.49.0~rc1-2.dsc
 8440d265d7ae55fa53fc724e2e90ed5e 4684 sound optional traverso_0.49.0~rc1-2.debian.tar.gz
 a96e5b7fc745e9edc1fb9fe5f9e7a17e 1385654 sound optional traverso_0.49.0~rc1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwKl08ACgkQRdSMfNz8P9AK8QCfVmHuiUjXoQmkEU1XB2IR5mUP
Ll0AnAnKQ9vL/AZRtC82HhhflpPgmsvz
=khKD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Jul 2010 07:32:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:59:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.